// MultitronFrm.cpp : implementation file
//

#include "stdafx.h"
#include "Multitron.h"
#include "MultitronFrm.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMultitronFrm

IMPLEMENT_DYNCREATE(CMultitronFrm, CMDIChildWnd)

CMultitronFrm::CMultitronFrm()
{
}

CMultitronFrm::~CMultitronFrm()
{
}


BEGIN_MESSAGE_MAP(CMultitronFrm, CMDIChildWnd)
	//{{AFX_MSG_MAP(CMultitronFrm)
	ON_WM_CREATE()
	ON_WM_MDIACTIVATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMultitronFrm message handlers

BOOL CMultitronFrm::Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CMDIFrameWnd* pParentWnd, CCreateContext* pContext) 
{
	return CMDIChildWnd::Create(lpszClassName, lpszWindowName, dwStyle, rect, pParentWnd, pContext);
}

int CMultitronFrm::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	return 0;
}

BOOL CMultitronFrm::PreCreateWindow(CREATESTRUCT& cs) 
{
	return CMDIChildWnd::PreCreateWindow(cs);
}

void CMultitronFrm::OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd) 
{
	CMDIChildWnd::OnMDIActivate(bActivate, pActivateWnd, pDeactivateWnd);
/*	CMainFrame *pFrame = (CMainFrame *)AfxGetMainWnd();
	if (bActivate)
	{
		pFrame->m_wndDlgProject.SetDocument(GetActiveDocument());
	}
	else
	{
		if (NULL == pActivateWnd)
			pFrame->m_wndDlgProject.SetDocument(NULL);
	}*/
}
